Subject: Re: bug#47236: 28.0.50; ebdb-mua-pop-up bad interaction with gnus window configurations

From: Robert Pluim <[email-masked]>
Date: Mon, 28 Jun 2021 14:55:08 +0200

>>>>> On Fri, 25 Jun 2021 16:01:43 -0700, Eric Abrahamsen <[email-masked]> said:

    Eric> Robert Pluim <[email-masked]> writes:
    >>>>>>> On Thu, 24 Jun 2021 10:29:38 -0700, Eric Abrahamsen <[email-masked]> said:
    >> 
    Eric> Do let me know if you've tried the new version (or if you're no longer
    Eric> using EBDB!), and I will close this out.
    >> 
    >> Sorry Eric, Iʼve been a bit busy. Iʼll see if I can get to this this
    >> weekend.

    Eric> No rush at all! I'd just suspected you weren't using it anymore, in
    Eric> which case I wouldn't wait :)

Hmm, Iʼve got it working for the summary/article/group configurations,
but not for message. Iʼm getting

    gnus-configure--frame: Invalid buffer type: ebdb-message

I think this means that you need to add something like the following
to ebdb-insinuate-mssage

  (when ebdb-message-window-configuration
    (add-to-list 'gnus-window-to-buffer
		 (cons ebdb-message-window-configuration
		       (ebdb-message-buffer-name))))

And maybe you need to add an ebdb-mail-window-configuration variable,
and use that instead of ebdb-message-window-configuration in
ebdb-insinuate-mail?

Thanks for the fixes.

Robert
--